Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.system
Class AbstractRuntimeContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext

All Implemented Interfaces:
  RuntimeContext

Direct Known Subclasses:
  AbstractConfigurationContext, DefaultAppContext, ServiceContext

    public abstract class AbstractRuntimeContext

extends java.lang.Object
implements RuntimeContext

Constructor Summary
`AbstractRuntimeContext(Logger logger)`

Method Summary
`void` | `error(java.lang.String message)`
`void` | `notice(java.lang.String message)`
`void` | `printStackTrace(java.lang.Throwable throwable)`
`void` | `trace(java.lang.String sourceClass, java.lang.String sourceMethod, java.lang.String message, java.util.logging.Level level)`
`void` | `warning(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`getAppName, getUser`

Constructor Detail

### AbstractRuntimeContext

    public AbstractRuntimeContext(Logger logger)

Method Detail

### trace

    public void trace(java.lang.String sourceClass,
                      java.lang.String sourceMethod,
                      java.lang.String message,
                      java.util.logging.Level level)

  Specified by:
    `trace` in interface `RuntimeContext`

### notice

    public void notice(java.lang.String message)

  Specified by:
    `notice` in interface `RuntimeContext`

### warning

    public void warning(java.lang.String message)

  Specified by:
    `warning` in interface `RuntimeContext`

### error

    public void error(java.lang.String message)

  Specified by:
    `error` in interface `RuntimeContext`

### printStackTrace

    public void printStackTrace(java.lang.Throwable throwable)

  Specified by:
    `printStackTrace` in interface `RuntimeContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD